cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/assetStatuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"rank": "<string>",
"created_by_user_id": "<string>"
}
'import requests
url = "https://api.mudstack.com/workspaces/assetStatuses"
payload = {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"rank": "<string>",
"created_by_user_id": "<string>"
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '<string>',
workspace_id: '<string>',
name: '<string>',
color: '<string>',
rank: '<string>',
created_by_user_id: '<string>'
})
};
fetch('https://api.mudstack.com/workspaces/assetStatuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"rank": "<string>",
"created_by_user_id": "<string>"
}Status
Create status
Create a new asset status for the workspace.
POST
/
workspaces
/
assetStatuses
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the asset status.
Identifier of the workspace to which the asset status belongs.
Name of the asset status.
Color associated with the asset status.
Rank of the asset status.
Identifier of the user who created the asset status.
Response
200 - application/json
The created asset status
Unique identifier for the asset status.
Identifier of the workspace to which the asset status belongs.
Name of the asset status.
Color associated with the asset status.
Rank of the asset status.
Identifier of the user who created the asset status.
Was this page helpful?
⌘I